Subject: Re: bug#20440: 24.4; memory corruption

From: Neal Becker <[email-masked]>
Date: Mon, 27 Apr 2015 13:44:50 -0400

before-change-functions is a variable defined in `C source code'.
Its value is (t syntax-ppss-flush-cache)
Local in buffer test_unframed.py; global value is nil

after-change-functions is a variable defined in `C source code'.
Its value is (jit-lock-after-change jedi:after-change-handler t)
Local in buffer test_unframed.py; global value is nil

I have captured a corrupt buffer.  This time, emacs said 'file has changed,
reload?'.  Again it is corrupted.
The 1st diff is that in the corrupted file, the beginning of the file is
inserted into the middle of the buffer

On Mon, Apr 27, 2015 at 1:39 PM, Stefan Monnier <[email-masked]>
wrote:

> > I have seen (again this morning) I wind up with a corrupted buffer.
> > It appears a segment of the data is correct, but data has been
> > reordered.  I'm looking at a python source file.  For example, in the
> > middle of the buffer, it looks like the beginning of the file is
> > inserted (sorry I no longer have this buffer and can't be precise).
>
> Next time it happens, could you save the corrupted buffer to some temp
> file, and then compare that with the actual file's content, to get
> a more precise description of the corruption?
>
> You say it's a Python file.  What modes/packages do you use to edit
> those files?  What does `M-: after-change-functions' and `M-:
> before-change-functions' say in those buffers?
>
>
>         Stefan
>

-- 
*Those who don't understand recursion are doomed to repeat it*